﻿using System.Windows;

namespace SpellChecker {
    /// <summary>
    /// Represents an queue action to perform.
    /// </summary>
    public class ElementRegistrationQueueItem {

        /// <summary>
        /// Gets or sets the element.
        /// </summary>
        public UIElement Element { get; set; }

        /// <summary>
        /// Gets or sets the action.
        /// </summary>
        public ElementRegistrationAction Action { get; set; }

        /// <summary>
        /// Gets or sets the services which this registration applies to.
        /// </summary>
        public FormLevelServiceType ServiceTypes { get; set; }

    }

    /// <summary>
    /// Registeration actions
    /// </summary>
    public enum ElementRegistrationAction {
        /// <summary>
        /// Register for services
        /// </summary>
        Register,
        /// <summary>
        /// Unregister for services.
        /// </summary>
        Unregister
    }
}