﻿using Keyoti.RapidSpell.Wpf;

namespace SpellChecker {
    /// <summary>
    /// Container which implement a spell checking container.
    /// </summary>
    public interface IFormServiceHost {

        /// <summary>
        /// Gets or sets the rapid spell check component.
        /// </summary>
        RapidSpellAsYouType RapidSpellAsYouType { get; }

        /// <summary>
        /// Gets or sets the rapid spell check component.
        /// </summary>
        RapidSpellDialog RapidSpellDialog { get; }

        /// <summary>
        /// Gets the service controller.
        /// </summary>
        FormServiceController ServiceController { get; }

    }

    /// <summary>
    /// Interface for controls which consume form level services.
    /// </summary>
    public interface IFormServiceConsumer {

        /// <summary>
        /// Service types the control is interested in.
        /// </summary>
        FormLevelServiceType ServiceTypes { get; }
    }
}