﻿using Keyoti.RapidSpell.Wpf;

namespace SpellChecker {
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : IFormServiceHost {

        private readonly FormServiceController formServiceController;

        private RapidSpellAsYouType rapidSpellAsYouType;
        private RapidSpellDialog rapidSpellDialog;

        public MainWindow() {
            InitializeComponent();
            // controller for form level spell check
            formServiceController = new FormServiceController(this);
        }

                /// <summary>
        /// Called when template is being applied.
        /// </summary>
        public override void OnApplyTemplate() {
            base.OnApplyTemplate();

            // Find and attach to templated parts
            rapidSpellAsYouType = GetTemplateChild("PART_RapidSpellAsYouType") as RapidSpellAsYouType;
            rapidSpellDialog = GetTemplateChild("PART_RapidSpellDialog") as RapidSpellDialog;
            if (rapidSpellAsYouType == null || rapidSpellDialog == null) {
                //need these...
            }

        }

        public RapidSpellAsYouType RapidSpellAsYouType {
            get { return rapidSpellAsYouType; }
        }

        public RapidSpellDialog RapidSpellDialog {
            get { return rapidSpellDialog; }
        }

        public FormServiceController ServiceController {
            get { return formServiceController; }
        }

        private void button1_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            rapidSpellDialog.Check();
        }


    }
}
